I was just getting into the swing of using ‘defined-or’ (//) in my code to avoid some issues with evaluating my (tied) objects as booleans… and then I remembered that my code needs to work under Perl v5.8.3. Pooh! So this is my occasionally-updated list of features and their version of introduction.

  constant : v5.004_000
  //       : v5.010_000
  state    : v5.010_000 # requires "use feature .." or use Mojo::Base

There’s also a module that helps analyse your code to suggest a min version for it.

Advertisements